# Uses of Enum
org.apache.zookeeper.server.controller.ControlCommand.Action

Packages that use ControlCommand.Action
Package
Description
org.apache.zookeeper.server.controller

## Uses of ControlCommand.Action in org.apache.zookeeper.server.controller

Subclasses with type arguments of type ControlCommand.Action in org.apache.zookeeper.server.controller
Modifier and Type
Class
Description
`static enum`
`ControlCommand.Action`
Actions available to the controller
Methods in org.apache.zookeeper.server.controller that return ControlCommand.Action
Modifier and Type
Method
Description
`ControlCommand.Action`
ControlCommand.`getAction()`
`static ControlCommand.Action`
ControlCommand.Action.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static ControlCommand.Action[]`
ControlCommand.Action.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.
Methods in org.apache.zookeeper.server.controller with parameters of type ControlCommand.Action
Modifier and Type
Method
Description
`static String`
ControlCommand.`createCommandUri(ControlCommand.Action action, String parameter)`
Create a REST command uri.
`org.eclipse.jetty.client.api.ContentResponse`
CommandClient.`sendCommand(ControlCommand.Action action, String commandParameter)`
Send a command and optional command parameter to the server and block until receiving a response.
`boolean`
CommandClient.`trySendCommand(ControlCommand.Action action)`
Send a command with no parameters to the server and wait for a response.
`boolean`
CommandClient.`trySendCommand(ControlCommand.Action action, String commandParameter)`
Send a command with an optional command parameter to the server and wait for a response.
Constructors in org.apache.zookeeper.server.controller with parameters of type ControlCommand.Action
Modifier
Constructor
Description
``
`ControlCommand(ControlCommand.Action action)`
``
`ControlCommand(ControlCommand.Action action, String param)`